Bug 1412548 - libdmtx is FTBFS
Summary: libdmtx is FTBFS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdmtx
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 09:29 UTC by Vít Ondruch
Modified: 2017-04-06 07:48 UTC (History)
1 user (show)

Fixed In Version: libdmtx-0.7.4-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 07:48:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Vít Ondruch 2017-01-12 09:29:45 UTC
Description of problem:
Trying to build the package due to updated Ruby, the build fails with following error:

```
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:76:33: error: unknown type name 'zend_rsrc_list_entry'
 static void php_dmtx_image_dtor(zend_rsrc_list_entry *rsrc TSRMLS_DC)
                                 ^~~~~~~~~~~~~~~~~~~~
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c: In function 'zm_startup_dmtx':
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:86:54: error: 'php_dmtx_image_dtor' undeclared (first use in this function)
    le_dmtx_image = zend_register_list_destructors_ex(php_dmtx_image_dtor, NULL,
                                                      ^~~~~~~~~~~~~~~~~~~
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:86:54: note: each undeclared identifier is reported only once for each function it appears in
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c: In function 'zif_dmtx_write':
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:119:4: warning: implicit declaration of function 'ZEND_REGISTER_RESOURCE' [-Wimplicit-function-declaration]
    ZEND_REGISTER_RESOURCE(return_value, enc, le_dmtx_image);
    ^~~~~~~~~~~~~~~~~~~~~~
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:103:8: warning: unused variable 'i' [-Wunused-variable]
    int i;
        ^
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c: In function 'zif_dmtx_getSize':
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:130:4: warning: implicit declaration of function 'ZEND_FETCH_RESOURCE' [-Wimplicit-function-declaration]
    ZEND_FETCH_RESOURCE(enc, DmtxEncode *, &zImage, -1, PHP_DMTX_IMAGE_RES_NAME, le_dmtx_image);
    ^~~~~~~~~~~~~~~~~~~
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:130:29: error: expected expression before 'DmtxEncode'
    ZEND_FETCH_RESOURCE(enc, DmtxEncode *, &zImage, -1, PHP_DMTX_IMAGE_RES_NAME, le_dmtx_image);
                             ^~~~~~~~~~
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c: In function 'zif_dmtx_getRow':
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:147:29: error: expected expression before 'DmtxEncode'
    ZEND_FETCH_RESOURCE(enc, DmtxEncode *, &zImage, -1, PHP_DMTX_IMAGE_RES_NAME, le_dmtx_image);
                             ^~~~~~~~~~
/builddir/build/BUILD/libdmtx-0.7.2/wrapper/php/dmtx_write.c:160:7: warning: implicit declaration of function 'ALLOC_INIT_ZVAL' [-Wimplicit-function-declaration]
       ALLOC_INIT_ZVAL(arr);
       ^~~~~~~~~~~~~~~
make: *** [Makefile:194: dmtx_write.lo] Error 1
```

This appears to be issue for some while already.



Version-Release number of selected component (if applicable):
libdmtx-0.7.2-20.fc26

Comment 1 Fedora End Of Life 2017-02-28 10:56:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora Update System 2017-03-07 16:13:43 UTC
libdmtx-0.7.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a76c2949b4

Comment 3 Fedora Update System 2017-03-10 23:19:55 UTC
libdmtx-0.7.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a76c2949b4

Comment 4 Fedora Update System 2017-04-01 16:50:44 UTC
libdmtx-0.7.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.